return SynthDefinition {
  id = "dsi_tetra",
  name = "DSI Tetra",
  author = "DBY [info@dogblessyourart.com]",
  beta = true,
  Section {
    name = "Layer A",
    Group {
      name = "OSC 1",
      Parameter {
        id = "osc_1_freq",
        name = "Frequency",
        type = "nrpn",
        number = 0,
        max_value = 120,
      },
      Parameter {
        id = "osc_1_freq_fine",
        name = "Fine Tune",
        type = "nrpn",
        number = 1,
        max_value = 100,
        default_value = 50,
      },
      Parameter {
        id = "osc_1_shape",
        name = "Shape",
        type = "nrpn",
        number = 2,
        max_value = 103,
      },
      Parameter {
        id = "sub_osc_1",
        name = "Sub OSC 1",
        type = "nrpn",
        number = 114,
        max_value = 127,
      },
      Parameter {
        id = "osc_1_glide",
        name = "Glide",
        type = "nrpn",
        number = 3,
        max_value = 127,
      },
      Parameter {
        id = "osc_1_key_track",
        name = "Keyboard Tracking",
        type = "nrpn",
        number = 4,
        items = {"Off","On"},
      }
    },
    Group {
      name = "OSC 2",
      Parameter {
        id = "osc_2_freq",
        name = "Frequency",
        type = "nrpn",
        number = 5,
        max_value = 120,
      },
      Parameter {
        id = "osc_2_freq_fine",
        name = "Fine Tune",
        type = "nrpn",
        number = 6,
        max_value = 100,
        default_value = 50,
      },
      Parameter {
        id = "osc_2_shape",
        name = "Shape",
        type = "nrpn",
        number = 7,
        max_value = 103,
      },
      Parameter {
        id = "sub_osc_2",
        name = "Sub OSC 2",
        type = "nrpn",
        number = 115,
        max_value = 127,
      },
      Parameter {
        id = "osc_2_glide",
        name = "Glide",
        type = "nrpn",
        number = 8,
        max_value = 127,
      },
      Parameter {
        id = "osc_2_key_track",
        name = "Keyboard Tracking",
        type = "nrpn",
        number = 9,
        items = {"Off","On"},
      }
    },
    Group {
      Parameter {
        id = "osc_sync",
        name = "Hard Sync",
        type = "nrpn",
        number = 10,
        items = {"Off","On"},
      },
      Parameter {
        id = "osc_glide_mode",
        name = "Glide Mode",
        type = "nrpn",
        number = 11,
        items = {"FixRate","FixRateA","FixTime","FixTimeA"},
      },
      Parameter {
        id = "osc_slop",
        name = "Slop",
        type = "nrpn",
        number = 12,
        max_value = 5,
      },
      Parameter {
        id = "osc_mix",
        name = "Mix",
        type = "nrpn",
        number = 13,
        max_value = 127,
        default_value = 64,
      }
    },
    Group {
      Parameter {
        id = "noise_level",
        name = "Noise",
        type = "nrpn",
        number = 14,
        max_value = 127,
      },
      Parameter {
        id = "pitch_range",
        name = "Pitch Range",
        type = "nrpn",
        number = 93,
        max_value = 12,
      },
      Parameter {
        id = "feedback_vol",
        name = "Feedback Vol",
        type = "nrpn",
        number = 116,
        max_value = 127,
      },
      Parameter {
        id = "feedback_gain",
        name = "Feedback Gain",
        type = "nrpn",
        number = 110,
        max_value = 127,
      }
    },
    Group {
      name = "Filter",
      Parameter {
        id = "filter_freq",
        name = "Frequency",
        type = "nrpn",
        number = 15,
        max_value = 164,
        default_value = 164,
      },
      Parameter {
        id = "filt_resonance",
        name = "Resonance",
        type = "nrpn",
        number = 16,
        max_value = 127,
      },
      Parameter {
        id = "filt_keyboard_amount",
        name = "Keyboard Amount",
        type = "nrpn",
        number = 17,
        max_value = 127,
      },
      Parameter {
        id = "filt_audio_mod",
        name = "Audio Mod",
        type = "nrpn",
        number = 18,
        max_value = 127,
      },
      Parameter {
        id = "filt_config",
        name = "Config",
        type = "nrpn",
        number = 19,
        items = {"2-pole","4-pole"},
      }
    },
    Group {
      name = "Filter Envelope",
      Parameter {
        id = "filt_env_amt",
        name = "Amount",
        type = "nrpn",
        number = 20,
        max_value = 254,
        default_value = 127,
      },
      Parameter {
        id = "filt_env_vel",
        name = "Velocity",
        type = "nrpn",
        number = 21,
        max_value = 127,
      },
      Parameter {
        id = "filt_env_delay",
        name = "Delay",
        type = "nrpn",
        number = 22,
        max_value = 127,
      },
      Parameter {
        id = "filt_env_att",
        name = "Attack",
        type = "nrpn",
        number = 23,
        max_value = 127,
      },
      Parameter {
        id = "filt_env_dec",
        name = "Decay",
        type = "nrpn",
        number = 24,
        max_value = 127,
      },
      Parameter {
        id = "filt_env_sus",
        name = "Sustain",
        type = "nrpn",
        number = 25,
        max_value = 127,
      },
      Parameter {
        id = "filt_env_rel",
        name = "Release",
        type = "nrpn",
        number = 26,
        max_value = 127,
      }
    },
    Group {
      name = "VCA",
      Parameter {
        id = "vca_level",
        name = "VCA Level",
        type = "nrpn",
        number = 27,
        max_value = 127,
      },
      Parameter {
        id = "vca_pan_spread",
        name = "Pan Spread",
        type = "nrpn",
        number = 28,
        max_value = 127,
      },
      Parameter {
        id = "vca_prog_vol",
        name = "Program Volume",
        type = "nrpn",
        number = 29,
        max_value = 127,
      }
    },
    Group {
      name = "VCA Envelope", 
      Parameter {
        id = "vca_env_amt",
        name = "Amount",
        type = "nrpn",
        number = 30,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_vel",
        name = "Velocity",
        type = "nrpn",
        number = 31,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_del",
        name = "Delay",
        type = "nrpn",
        number = 32,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_att",
        name = "Attack",
        type = "nrpn",
        number = 33,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_dec",
        name = "Decay",
        type = "nrpn",
        number = 34,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_sus",
        name = "Sustain",
        type = "nrpn",
        number = 35,
        max_value = 127,
      },
      Parameter {
        id = "vca_env_rel",
        name = "Release",
        type = "nrpn",
        number = 36,
        max_value = 127,
      }
    }
  },
  Section {
    name = "Layer B",
    Group {
      name = "OSC 1",
      Parameter {
        id = "b_osc_1_freq",
        name = "Frequency",
        type = "nrpn",
        number = 200,
        max_value = 120,
      },
      Parameter {
        id = "b_osc_1_freq_fine",
        name = "Fine Tune",
        type = "nrpn",
        number = 201,
        max_value = 100,
        default_value = 50,
      },
      Parameter {
        id = "b_osc_1_shape",
        name = "Shape",
        type = "nrpn",
        number = 202,
        max_value = 103,
      },
      Parameter {
        id = "b_sub_osc_1",
        name = "Sub OSC 1",
        type = "nrpn",
        number = 314,
        max_value = 127,
      },
      Parameter {
        id = "b_osc_1_glide",
        name = "Glide",
        type = "nrpn",
        number = 203,
        max_value = 127,
      },
      Parameter {
        id = "b_osc_1_key_track",
        name = "Keyboard Tracking",
        type = "nrpn",
        number = 204,
        items = {"Off","On"},
      }
    },
    Group {
      name = "OSC 2",
      Parameter {
        id = "b_osc_2_freq",
        name = "Frequency",
        type = "nrpn",
        number = 205,
        max_value = 120,
      },
      Parameter {
        id = "b_osc_2_freq_fine",
        name = "Fine Tune",
        type = "nrpn",
        number = 206,
        max_value = 100,
        default_value = 50,
      },
      Parameter {
        id = "b_osc_2_shape",
        name = "Shape",
        type = "nrpn",
        number = 207,
        max_value = 103,
      },
      Parameter {
        id = "b_sub_osc_2",
        name = "Sub OSC 2",
        type = "nrpn",
        number = 315,
        max_value = 127,
      },
      Parameter {
        id = "b_osc_2_glide",
        name = "Glide",
        type = "nrpn",
        number = 208,
        max_value = 127,
      },
      Parameter {
        id = "b_osc_2_key_track",
        name = "Keyboard Tracking",
        type = "nrpn",
        number = 209,
        items = {"Off","On"},
      }
    },
    Group {
      Parameter {
        id = "b_osc_sync",
        name = "Hard Sync",
        type = "nrpn",
        number = 210,
        items = {"Off","On"},
      },
      Parameter {
        id = "b_osc_glide_mode",
        name = "Glide Mode",
        type = "nrpn",
        number = 211,
        items = {"FixRate","FixRateA","FixTime","FixTimeA"},
      },
      Parameter {
        id = "b_osc_slop",
        name = "Slop",
        type = "nrpn",
        number = 212,
        max_value = 5,
      },
      Parameter {
        id = "b_osc_mix",
        name = "Mix",
        type = "nrpn",
        number = 213,
        max_value = 127,
        default_value = 64,
      }
    },
    Group {
      Parameter {
        id = "b_noise_level",
        name = "Noise",
        type = "nrpn",
        number = 214,
        max_value = 127,
      },
      Parameter {
        id = "b_pitch_range",
        name = "Pitch Range",
        type = "nrpn",
        number = 293,
        max_value = 12,
      },
      Parameter {
        id = "b_feedback_vol",
        name = "Feedback Vol",
        type = "nrpn",
        number = 316,
        max_value = 127,
      },
      Parameter {
        id = "b_feedback_gain",
        name = "Feedback Gain",
        type = "nrpn",
        number = 310,
        max_value = 127,
      }
    },
    Group {
      name = "Filter",
      Parameter {
        id = "b_filter_freq",
        name = "Frequency",
        type = "nrpn",
        number = 215,
        max_value = 164,
        default_value = 164,
      },
      Parameter {
        id = "b_filt_resonance",
        name = "Resonance",
        type = "nrpn",
        number = 216,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_keyboard_amount",
        name = "Keyboard Amount",
        type = "nrpn",
        number = 217,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_audio_mod",
        name = "Audio Mod",
        type = "nrpn",
        number = 218,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_config",
        name = "Config",
        type = "nrpn",
        number = 219,
        items = {"2-pole","4-pole"},
      }
    },
    Group {
      name = "Filter Envelope",
      Parameter {
        id = "b_filt_env_amt",
        name = "Amount",
        type = "nrpn",
        number = 220,
        max_value = 254,
        default_value = 127,
      },
      Parameter {
        id = "b_filt_env_vel",
        name = "Velocity",
        type = "nrpn",
        number = 221,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_env_delay",
        name = "Delay",
        type = "nrpn",
        number = 222,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_env_att",
        name = "Attack",
        type = "nrpn",
        number = 223,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_env_dec",
        name = "Decay",
        type = "nrpn",
        number = 224,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_env_sus",
        name = "Sustain",
        type = "nrpn",
        number = 225,
        max_value = 127,
      },
      Parameter {
        id = "b_filt_env_rel",
        name = "Release",
        type = "nrpn",
        number = 226,
        max_value = 127,
      }
    },
    Group {
      name = "VCA",
      Parameter {
        id = "b_vca_level",
        name = "VCA Level",
        type = "nrpn",
        number = 227,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_pan_spread",
        name = "Pan Spread",
        type = "nrpn",
        number = 228,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_prog_vol",
        name = "Program Volume",
        type = "nrpn",
        number = 229,
        max_value = 127,
      }
    },
    Group {
      name = "VCA Envelope", 
      Parameter {
        id = "b_vca_env_amt",
        name = "Amount",
        type = "nrpn",
        number = 230,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_vel",
        name = "Velocity",
        type = "nrpn",
        number = 231,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_del",
        name = "Delay",
        type = "nrpn",
        number = 232,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_att",
        name = "Attack",
        type = "nrpn",
        number = 233,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_dec",
        name = "Decay",
        type = "nrpn",
        number = 234,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_sus",
        name = "Sustain",
        type = "nrpn",
        number = 235,
        max_value = 127,
      },
      Parameter {
        id = "b_vca_env_rel",
        name = "Release",
        type = "nrpn",
        number = 236,
        max_value = 127,
      }
    }
  },
  Section {
    name = "Global",
    Group {
      Parameter {
        id = "keyboard_mode",
        name = "Keyboard Mode",
        type = "nrpn",
        number = 119,
        items = {"Normal","Stack","Split"},
      },
      Parameter {
        id = "split_pointr",
        name = "Split Point (60 = C3)",
        type = "nrpn",
        number = 118,
        max_value = 127,
        default_value = 60,
      },
      Parameter {
        id = "select_layer",
        name = "Select Layer",
        type = "nrpn",
        number = 411,
        items = {"A","B"},
      },
      Parameter {
        id = "master_transpose",
        name = "Master Transpose",
        type = "nrpn",
        number = 384,
        max_value = 24,
        default_value = 12,
      },
      Parameter {
        id = "master_fine_tune",
        name = "Master Fine Tune",
        type = "nrpn",
        number = 385,
        max_value = 100,
        default_value = 50,
      },
      Parameter {
        id = "audio_out",
        name = "Audio Out",
        type = "nrpn",
        number = 400,
        items = {"Stereo","Mono","Quad","Q LR34"},
      }
    }
  }
}
