return SynthDefinition{
  id = "novation_astation",
  name = "Novation A-Station",
  author = "MIDI/Error!! [errormidi@gmail.com]",
  content_height = 620,
  omit_nrpn_lsb = true,
  beta = true,
  Section {
    name = "Main",
    Group {
    name = "OSC 1",
         Parameter {
    id = "osc1_wave",
    name = "waveform",
    type = "nrpn",
    number = 105,
    item_values = {4, 5, 6, 7}, 
    items = {"Sine","Tri","Saw","Square"}, 
    },
             Parameter {
    id = "osc1_oct",
    name = "ocatave",
    type = "nrpn",
    number = 105,
    item_values = {16, 17, 18, 19}, 
    items = {"-1","0","+1","+2"}, 
    },
       Parameter {
    id = "osc1_semitone",
    name = "semitone",
    type = "cc",
    number = 40,
    default_value = 64,
   max_value = 76,
   min_value = 52,
    display_min_value = -64,
    display_max_value = 63,
   },
      Parameter {
    id = "osc1_detune",
    name = "detune",
    type = "cc",
    number = 41,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 114,
   min_value = 14,
   },
      Parameter {
    id = "osc1_pwidth",
    name = "pulse width",
    type = "cc",
    number = 45,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc1_modenvdepth",
    name = "mod env depth",
    type = "cc",
    number = 44,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc1_lfo1depth",
    name = "lfo1 depth",
    type = "cc",
    number = 43,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc1_lfo2pwm",
    name = "lfo2 pw mod",
    type = "cc",
    number = 46,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "osc1_modenvpwm",
    name = "mod env pw mod",
    type = "cc",
    number = 47,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc1_bendpamt",
    name = "bendwheel pitch amt",
    type = "cc",
    number = 42,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
    },
   },
   
   Group {
    name = "OSC 2",
  Parameter {
    id = "osc2_wave",
    name = "waveform",
    type = "nrpn",
    number = 105,
    item_values = {8, 9, 10, 11}, 
    items = {"Sine","Tri","Saw","Square"}, 
    },
     Parameter {
    id = "osc2_oct",
    name = "octave",
    type = "nrpn",
    number = 105,
    item_values = {20, 21, 22, 23}, 
    items = {"-1","0","+1","+2"},
      },
      Parameter {
    id = "osc2_semitone",
    name = "semitone",
    type = "cc",
    number = 48,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 76,
   min_value = 52,
   },
      Parameter {
    id = "osc2_detune",
    name = "detune",
    type = "cc",
    number = 49,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 114,
   min_value = 14,
   },
      Parameter {
    id = "osc2_pwidth",
    name = "pulse width",
    type = "cc",
    number = 53,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc2_modenvdepth",
    name = "mod env depth",
    type = "cc",
    number = 52,
    default_value = 64, 
    display_min_value = -64,
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc2_lfo1depth",
    name = "lfo1 depth",
    type = "cc",
    number = 51,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc2_lfo2pwm",
    name = "lfo2 pw mod",
    type = "cc",
    number = 54,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "osc2_modenvpwm",
    name = "mod env pw mod",
    type = "cc",
    number = 55,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc2_bendpamt",
    name = "bendwheel pitch amt",
    type = "cc",
    number = 50,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
      },
    },
        Group {
    Parameter {
    id = "osc12sync",
    name = "osc 1>2 sync",
    type = "nrpn",
    number = 104,
  item_values = {10, 11},  
   items = {"off","on"},
    },
       }, 
   Group {
    name = "OSC 3",
    Parameter {
    id = "osc3_wave",
    name = "waveform",
    type = "nrpn",
    number = 105,
    item_values = {12, 13, 14, 15}, 
    items = {"Sine","Tri","Saw","Square"}, 
    },
    Parameter {
    id = "osc3_oct",
    name = "octave",
    type = "nrpn",
    number = 105,
    items = {"-1","0","+1","+2"},
    item_values = {24, 25, 26, 27}, 
       },
      Parameter {
    id = "osc3_semitone",
    name = "semitone",
    type = "cc",
    number = 56,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 76,
   min_value = 52,
   },
      Parameter {
    id = "osc3_detune",
    name = "detune",
    type = "cc",
    number = 57,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 114,
   min_value = 14,
   },
      Parameter {
    id = "osc3_pwidth",
    name = "pulse width",
    type = "cc",
    number = 61,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc3_modenvdepth",
    name = "mod env depth",
    type = "cc",
    number = 60,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc3_lfo1depth",
    name = "lfo1 depth",
    type = "cc",
    number = 59,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "osc3_lfo2pwm",
    name = "lfo2 pw mod",
    type = "cc",
    number = 62,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "osc3_modenvpwm",
    name = "mod env pw mod",
    type = "cc",
    number = 63,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc3_bendpamt",
    name = "bendwheel pitch amt",
    type = "cc",
    number = 58,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
    },
   },
   Group {
    name = "AMP ENVELOPE",
   Parameter {
    id = "amp_att",
    name = "attack",
    type = "cc",
    number = 108,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "amp_dec",
    name = "decay",
    type = "cc",
    number = 109,
    default_value = 64,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "amp_sus",
    name = "sustain",
    type = "cc",
    number = 110,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "amp_rel",
    name = "release",
    type = "cc",
    number = 111,
    default_value = 0,
   max_value = 127,
   min_value = 0,
      },
      Parameter {
    id = "amp_depth",
    name = "depth",
    type = "cc",
    number = 112,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   },
     Group {
    name = "MOD. ENVELOPE",
   Parameter {
    id = "mod_att",
    name = "attack",
    type = "cc",
    number = 114,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "mod_dec",
    name = "decay",
    type = "cc",
    number = 115,
    default_value = 64,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "mod_sus",
    name = "sustain",
    type = "cc",
    number = 116,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "mod_rel",
    name = "release",
    type = "cc",
    number = 117,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
      Parameter {
    id = "mod_depth",
    name = "depth",
    type = "cc",
    number = 118,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
        }
     }, 
     Group {
    name = "FILTER",
   Parameter {
    id = "fcutoff",
    name = "cutoff",
    type = "cc",
    number = 105,
    default_value = 127,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "fres",
    name = "resonance",
    type = "cc",
    number = 106,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "flfo2moddepth",
    name = "lfo2 mod depth",
    type = "cc",
    number = 102,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "fmodenvdepthh",
    name = "mod env depth",
    type = "cc",
    number = 107,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "foverdrive",
    name = "overdrive",
    type = "cc",
    number = 104,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "fqnormalise",
    name = "q normalise",
    type = "cc",
    number = 103,
    default_value = 0,
   max_value = 127,
   min_value = 0,
     },
      Parameter {
      id = "ftype",
    name = "type",
    type = "nrpn",
    number = 104,
   item_values = {6, 7},  
   items = {"12dB","24dB"},
      },
      Parameter {
    id = "fil_kb_track",
    name = "keyboard tracking",
    type = "nrpn",
    number = 11,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
   },
       Group {
   name = "MIXER",
   Parameter {
    id = "osc1_level",
    name = "osc1 level",
    type = "cc",
    number = 72,
    default_value = 127,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "osc2_level",
    name = "osc2 level",
    type = "cc",
    number = 73,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "osc3_level",
    name = "osc3 level",
    type = "cc",
    number = 74,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
            Parameter {
    id = "noise_level",
    name = "noise level",
    type = "cc",
    number = 75,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
    Parameter {
    id = "ring12mod",
    name = "1+2 ringmod level",
    type = "cc",
    number = 76,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
   },
   Group {
       name = "VOICE",
   Parameter {
    id = "porta",
    name = "portamento",
    type = "cc",
    number = 5,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "portamode",
    name = "porta mode",
    type = "cc",
    number = 104,
  item_values = {8, 9},  
   items = {"exponen","linear"},
   },
   Parameter {
    id = "voice_mode",
    name = "mode",
    type = "nrpn",
    number = 105,
     item_values = {0, 1, 2, 3 },  
   items = {"mono","mglide", "poly","polyvs"},
        },
       Parameter {
      id = "preglide_semi",
    name = "preglide semi",
    type = "cc",
    number = 8,
   gui_type = "dropdown",
        item_values = {0, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76},  
   items = {"disabled", "-12", "-11", "-10", "-9", "-8", "-7", "-6", "-5", "-4","-3", "-2", "-1", "0", "1","2","3", "4","5","6","7","8","9","10","11", "12"}, 
          },
    Parameter {
    id = "randomdetune",
    name = "random detune",
    type = "cc",
    number = 69,
    default_value = 0,
    },
      },
      Group {
     Parameter {
    id = "volume",
    name = "volume",
    type = "cc",
    number = 7,
    default_value = 110,
   max_value = 127,
   min_value = 0,
      },
     },  
   },
   Section {
    name = "Effects",
   Group {
   name = "REVERB",
                Parameter {
    id = "rev_send",
    name = "level",
    type = "cc",
    number = 91,
    default_value = 0,
   max_value = 127,
   min_value = 0,
       },
        Parameter {
    id = "rev_type",
    name = "type",
    type = "nrpn",
    number = 106,
    item_values = {8, 9, 10, 11, 12, 13,},  
   items = {"Echo", "sRoom", "sHall", "lRoom", "lHall", "gHall"}, 
        },
   Parameter {
    id = "rev_decay",
    name = "decay",
    type = "cc",
    number = 25,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        },

   Parameter {
    id = "rev_modwheel",
    name = "modwheel",
    type = "cc",
    number = 24,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
        }
     },
     Group {
   name = "CHORUS",
   Parameter {
    id = "cho_send",
    name = "level",
    type = "cc",
    number = 93,
    default_value = 0,
   max_value = 127,
   min_value = 0,
       },
        Parameter {
    id = "cho_type",
    name = "type",
    type = "nrpn",
    number = 104,
    item_values = {34, 35},  
   items = {"chorus", "phaser"}, 
        },
   Parameter {
    id = "cho_feedb",
    name = "feedback",
    type = "cc",
    number = 29,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
    },
       Parameter {
      id = "cho_rate_sync",
    name = "rate (sync)",
    type = "cc",
    number = 28,
       gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
      items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" }, 
    },
          Parameter {
    id = "cho_rate_nsync",
    name = "rate (non-sync)",
    type = "cc",
    number = 27,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
           Parameter {
    id = "cho_moddepth",
    name = "mod depth",
    type = "cc",
    number = 30,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        },
                 Parameter {
    id = "cho_modcentre",
    name = "mod centre",
    type = "cc",
    number = 31,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        },

   Parameter {
    id = "cho_modwheel",
    name = "modwheel",
    type = "cc",
    number = 26,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
    }
     },
      Group {
   name = "DELAY",
              Parameter {
    id = "del_send",
    name = "level",
    type = "cc",
    number = 92,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
    
   Parameter {
    id = "del_feedb",
    name = "feedback",
    type = "cc",
    number = 21,
   max_value = 127,
   min_value = 0,
        },
        Parameter {
      id = "del_rate_sync",
    name = "rate (sync)",
    type = "cc",
    number = 20,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
      items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" },  
    },
          Parameter {
    id = "del_rate_nsync",
    name = "rate (non-sync)",
    type = "cc",
    number = 19,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
              Parameter {
    id = "del_stwidth",
    name = "stereo width",
    type = "cc",
    number = 22,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
                  Parameter {
    id = "del_ratio",
    name = "ratio",
    type = "cc",
    number = 23,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },

   Parameter {
    id = "del_modwheel",
    name = "modwheel",
    type = "cc",
    number = 18,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
    }
     },
     Group {
   name = "PAN",
   Parameter {
    id = "panpos",
    name = "pan",
    type = "cc",
    number = 10,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
       },
      Parameter {
    id = "panmod",
    name = "pan mod depth",
    type = "cc",
    number = 94,
    default_value = 0,
   max_value = 127,
   min_value = 0,
     },
       Parameter {
      id = "pan_rate_sync",
    name = "pan rate (sync)",
    type = "cc",
    number = 13,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
       items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" }, 
    },
          Parameter {
    id = "pan_rate_nsync",
    name = "pan rate (non-sync)",
    type = "cc",
    number = 12,
    default_value = 0,
   max_value = 127,
   min_value = 0,
          }
         },
   Group {
   name = "VOCODER",
   Parameter {
    id = "voc_sib",
    name = "sib. type",
    type = "nrpn",
    number = 104,
  item_values = {36, 37},  
   items = {"hipass", "noise"},
        },
   Parameter {
    id = "voc_width",
    name = "stereo width",
    type = "cc",
    number = 14,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "voc_sib_level",
    name = "sibilance",
    type = "cc",
    number = 15,
    default_value = 0,
   max_value = 127,
   min_value = 0,
      },
         Parameter {
    id = "voc_balance",
    name = "balance",
    type = "cc",
    number = 95,
    default_value = 0,
   max_value = 127,
   min_value = 0,
       },
    Parameter {
    id = "voc_input_trig",
    name = "input trigger",
    type = "nrpn",
    number = 104,
  item_values = {38, 39},  
   items = {"off", "on"},
        },
    Parameter {
    id = "voc_input_tofx",
    name = "input to fx",
    type = "nrpn",
    number = 104,
  item_values = {40, 41},  
   items = {"off", "on"},
        },
     },
      Group {
   name = "EQ",
   Parameter {
    id = "eq_freq",
    name = "frequency",
    type = "cc",
    number = 34,
    default_value = 64,
   max_value = 127,
   min_value = 0,
        },
        Parameter {
      id = "eq_rate_sync",
    name = "mod rate (sync)",
    type = "cc",
    number = 36,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
       items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" },  
    },
          Parameter {
    id = "eq_rate_nsync",
    name = "mod rate (non-sync)",
    type = "cc",
    number = 35,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
           Parameter {
    id = "eq_mod_depth",
    name = "eq mod depth",
    type = "cc",
    number = 37,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
   Parameter {
    id = "eq_type",
    name = "type",
    type = "cc",
    number = 33,
    items = {"LP", "LPshelf", "flat", "HPshelf", "HP"},
    default_value = 3,
    item_values = {0, 32, 64, 96, 127}, 
   
              },
     },
      Group {
   name = "UNISON", 
   Parameter {
      id = "unison_voices",
    name = "voices",
    type = "nrpn",
    number = 106,
  item_values = {0, 1, 2, 3, 4, 5, 6, 7},  
   items = {"off", "2", "3", "4", "5", "6", "7", "8"}, 
    },
    Parameter {
    id = "unison_detune",
    name = "detune",
    type = "cc",
    number = 68,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        }
       },
     Group {
        name = "ARPEGGIATOR",
           Parameter {
    id = "arp_state",
    name = "state",
    type = "nrpn",
    number = 104,
    default_value = 1,
  item_values = {28, 29},  
   items = {"off", "on"},
        },
   Parameter {
    id = "arp_octaves",
    name = "octaves",
    type = "nrpn",
    number = 105,
    default_value = 1,
  item_values = {36, 37, 38, 39},  
   items = {"1", "2", "3", "4"},
        },
   Parameter {
    id = "arp_output",
    name = "output",
    type = "nrpn",
    number = 105,
    default_value = 1,
  item_values = {40, 41, 42, 43},  
   items = {"int", "ext", "int+ext", "ext+norm"},
           },
   Parameter {
    id = "arp_gate",
    name = "gate time",
    type = "cc",
    number = 88,
    default_value = 64,
   max_value = 127,
   min_value = 0,
        },
         Parameter {
    id = "arp_pattern",
    name = "pattern",
    type = "cc",
    number = 3,
    default_value = 1,
  item_values = {0, 1, 2, 3, 4, 5},  
   items = {"up", "down", "ud1", "ud2", "order", "rand"},
        },
        Parameter {
      id = "arp_rate_sync",
    name = "arp rate (sync)",
    type = "cc",
    number = 87,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15}, 
   items = {"32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1bar"}, 
    },
          Parameter {
    id = "arp_rate_nsync",
    name = "rate (manual)",
    type = "cc",
    number = 9,
   max_value = 127,
   min_value = 0,
          },
    Parameter {
    id = "arp_keysync",
    name = "keysync",
    type = "nrpn",
    number = 104,
  item_values = {30, 31},  
   items = {"off", "on"},
        },
           Parameter {
    id = "arp_latch",
    name = "latch",
    type = "nrpn",
    number = 104,
  item_values = {32, 33},  
   items = {"off", "on"},
        },
     },
   Group {
   name = "FM",
   Parameter {
    id = "fm_envdepth",
    name = "env depth",
    type = "nrpn",
    number = 1,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "fm_fixedlevel",
    name = "level",
    type = "nrpn",
    number = 0,
    default_value = 0,
   max_value = 127,
   min_value = 0,
      },
   Parameter {
    id = "fm_veldepth",
    name = "vel depth",
    type = "nrpn",
    number = 2,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
      },
   Parameter {
    id = "fm_attack",
    name = "attack",
    type = "nrpn",
    number = 3,
    default_value = 0,
   max_value = 127,
   min_value = 0,
         },
   Parameter {
    id = "fm_decay",
    name = "decay",
    type = "nrpn",
    number = 4,
    default_value = 0,
   max_value = 127,
   min_value = 0,
         }
        },
        Group {
   name = "DISTORTION",
         Parameter {
    id = "dist_level",
    name = "drive",
    type = "cc",
    number = 90,
    default_value = 0,
   max_value = 127,
   min_value = 0,
      },
   Parameter {
    id = "dist_mod",
    name = "modwheel",
    type = "cc",
    number = 16,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "dist_comp",
    name = "compensation",
    type = "cc",
    number = 17,
    default_value = 0,
   max_value = 127,
   min_value = 0,
         }
        }
      },
    Section {
    name = "LFOs / Other",
    Group {
   name = "LFO1",
   Parameter {
    id = "lfo1_wave",
    name = "lfo1 waveform",
    type = "nrpn",
    number = 105,
    item_values = {28, 29, 30, 31}, 
    items = {"Tri","Saw","Square","S/H"}, 
    },
   Parameter {
    id = "lfo1_delaymulti",
    name = "lfo1 delay",
    type = "nrpn",
    number = 104,
  item_values = {12, 13},  
   items = {"single", "multi"},
       },
       Parameter {
    id = "lfo1_rate_nsync",
    name = "rate (non-sync)",
    type = "cc",
    number = 80,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        },
        Parameter {
      id = "lfo1_rate_sync",
    name = "rate (sync)",
    type = "cc",
    number = 81,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
    items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" },  
      },
   Parameter {
    id = "lfo1_delay",
    name = "delay",
    type = "cc",
    number = 82,
    default_value = 0,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "lfo1_rate_phase",
    name = "lfo1 phase shift",
    type = "nrpn",
    number = 104,
     item_values = {16, 17},  
   items = {"lock","one-shot"},
        },
           Parameter {
    id = "lfo1_keysync",
    name = "lfo1 keysync",
    type = "nrpn",
    number = 104,
     item_values = {18, 19},  
   items = {"off","on"},
        },
    Parameter {
    id = "lfo1_lock",
    name = "lfo1 lock",
    type = "nrpn",
    number = 104,
     item_values = {20, 21},  
   items = {"voice","all"},
         }
    },
    Group {
   name = "LFO2",
           Parameter {
    id = "lfo2_wave",
    name = "lfo2 waveform",
    type = "nrpn",
    number = 105,
    item_values = {32, 33, 34, 35}, 
    items = {"Tri","Saw","Square","S/H"},
            },
   Parameter {
    id = "lfo2_delaymulti",
    name = "lfo2 delay",
    type = "nrpn",
    number = 104,
  item_values = {14, 15},  
   items = {"single", "multi"},
        },
   Parameter {
    id = "lfo2_rate_nsync",
    name = "rate (non-sync)",
    type = "cc",
    number = 83,
    default_value = 0,
   max_value = 127,
   min_value = 0,
        },
    Parameter {
      id = "lfo2_rate_sync",
    name = "rate (sync)",
    type = "cc",
    number = 84,
    gui_type = "dropdown",
    item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34}, 
    items = {"non-sync", "32nd triplet", "32nd", "16th triplet", "16th", "8th triplet", "16th dotted", "8th", "4th triplet", "8th dotted", "4th","2nd triplet", "4th dotted", "2nd", "1 bar triplet", "2nd dotted", "1 bar", "2 bar triplet", "1.5 bars", "2 bars", "4 bar triplet", "3 bars", "5 bar triplet", "4 bars", "4.5 bars", "7 bar triplet", "5 bars", "8 bar triplet", "6 bars", "7 bars", "7.5 bars", "8 bars", "9 bars", "10.5 bars", "12 bars" }, 
    },
   Parameter {
    id = "lfo2_delay",
    name = "delay",
    type = "cc",
    number = 85,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
    Parameter {
    id = "lfo2_rate_phase",
    name = "lfo2 phase shift",
    type = "nrpn",
    number = 104,
     item_values = {22, 23},  
   items = {"lock","one-shot"},
        },
    Parameter {
    id = "lfo2_keysync",
    name = "lfo2 keysync",
    type = "nrpn",
    number = 104,
     item_values = {24, 25},  
   items = {"off","on"},
   },
   Parameter {
    id = "lfo2_lock",
    name = "lfo2 lock",
    type = "nrpn",
    number = 104,
     item_values = {26, 27},  
   items = {"voice","all"},
        }
      },
      Group {
   name = "ENVELOPES",
   Parameter {
    id = "amp_env_trigger",
    name = "amp env trigger",
    type = "nrpn",
    number = 104,
    item_values = {0, 1},  
    items = {"single", "multi"},
       },
    Parameter {
    id = "mod_env_trigger",
    name = "mod env trigger",
    type = "nrpn",
    number = 104,
  item_values = {2, 3},  
   items = {"single", "multi"},
       },
    Parameter {
    id = "fm_env_trigger",
    name = "fm env trigger",
    type = "nrpn",
    number = 104,
  item_values = {4, 5},  
   items = {"single", "multi"},
       },
    Parameter {
    id = "bit_keysunc_phase",
    name = "4 bit keysync phase",
    type = "nrpn",
    number = 107,
   gui_type = "dropdown",
     item_values = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15},  
   items = {"free run", "0", "24", "48", "72", "96", "120", "144", "168", "192", "216","240", "264", "288", "312", "336"}, 
               }
     },
      Group {
   name = "ALL OSCs",
   Parameter {
    id = "random_osc_detunel",
    name = "VCO drift",
    type = "cc",
    number = 69,
   max_value = 127,
   min_value = 0,
     },
   Parameter {
    id = "oscs_wheelpitch",
    name = "modwheel pitch",
    type = "nrpn",
    number = 5,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "oscs_aftertdepth",
    name = "aftertouch depth",
    type = "nrpn",
    number = 6,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "oscs_breathpitch",
    name = "breath depth",
    type = "nrpn",
    number = 7,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
   Parameter {
    id = "oscs_modwlfo1pitch",
    name = "modw lfo1 depth",
    type = "nrpn",
    number = 8,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "oscs_aftertouchlfo1",
    name = "after-t lfo1 depth",
    type = "nrpn",
    number = 9,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "oscs_breathlfo1pitchdep",
    name = "breath lfo1 depth",
    type = "nrpn",
    number = 10,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
           }
        },
        Group {
   name = "FILTER",
      Parameter {
    id = "fil_modw_depth",
    name = "modw freq depth",
    type = "nrpn",
    number = 12,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "fil_aftertt_depth",
    name = "after-t freq depth",
    type = "nrpn",
    number = 13,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
            Parameter {
    id = "fil_breath_depth",
    name = "breath freq depth",
    type = "nrpn",
    number = 14,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
               Parameter {
    id = "fil_modw_lfo2_depth",
    name = "modw lfo2 depth",
    type = "nrpn",
    number = 15,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
                  Parameter {
    id = "fil_aftert_lfo2_depth",
    name = "aftert lfo2 depth",
    type = "nrpn",
    number = 16,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
                     Parameter {
    id = "fil_breath_lfo2_depth",
    name = "breath lfo2 depth",
    type = "nrpn",
    number = 17,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
             }
        },
        Group {
   name = "AMP",
   Parameter {
    id = "amp_modw_depth",
    name = "modw depth",
    type = "nrpn",
    number = 18,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
      Parameter {
    id = "amp_aftert_depth",
    name = "after-t depth",
    type = "nrpn",
    number = 19,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
   },
         Parameter {
    id = "amp_breath_depth",
    name = "breath depth",
    type = "nrpn",
    number = 20,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
   max_value = 127,
   min_value = 0,
          }
       },
   Group {
   name = "EXTERNAL INPUT",
   Parameter {
    id = "extin_range",
    name = "range",
    type = "nrpn",
    number = 40,
    default_value = 1,
    item_values = {0, 1},  
   items = {"line", "mic"},
    },
    Parameter {
    id = "ext_level",
    name = "ext input level",
    type = "cc",
    number = 77,
    default_value = 0,
   max_value = 127,
   min_value = 0,
    },
     Parameter {
    id = "extin_trig",
    name = "trigger sens.",
    type = "nrpn",
    number = 44,
    default_value = 0,
           },
    Parameter {
    id = "extin_trim",
    name = "trim",
    type = "nrpn",
    number = 43,
    default_value = 0,
    max_value = 29,
    min_value = 0,
          }
     },
     Group {
   name = "GLOBAL",
   Parameter {
    id = "master_tune",
    name = "master cents",
    type = "nrpn",
    number = 40,
    default_value = 64, 
    display_min_value = -64, 
    display_max_value = 63,
    },
    Parameter {
    id = "vel_curve",
    name = "volocity curve",
    type = "nrpn",
    number = 41,
         default_value = 1,
        item_values = {0, 1},  
   items = {"soft", "hard"},
      },
    Parameter {
    id = "modwheel",
    name = "modwheel",
    type = "cc",
    number = 1,
    default_value = 0,
   max_value = 127,
   min_value = 0,
          }
     },
   Group {
       name = "OTHER",
   Parameter {
    id = "midi_clock_source",
    name = "midi clock source",
    type = "nrpn",
    number = 38,
    default_value = 1,
    item_values = {0, 1},  
    items = {"internal", "external"}, 
           },
    Parameter {
    id = "chorus_glob",
    name = "chorus lfo init pos",
    type = "nrpn",
    number = 105,
    default_value = 1,
    item_values = {44, 45, 46, 47},  
    items = {"off", "left", "centre", "right"},
        },
    Parameter {
    id = "pan_glob",
    name = "pan lfo init pos",
    type = "nrpn",
    number = 105,
    default_value = 1,
  item_values = {48, 49, 50, 51},  
   items = {"off", "left", "centre", "right"},
            },
   Parameter {
    id = "eq_glob",
    name = "eq lfo init pos",
    type = "nrpn",
    number = 105,
    default_value = 1,
  item_values = {52, 53, 54, 55},  
   items = {"off", "low", "mid", "high"}, 
       },
    Parameter {
    id = "pulsew_select",
    name = "pulsew select",
    type = "nrpn",
    number = 105,
    default_value = 1,
     item_values = {64, 65, 66},  
   items = {"position","lfo2", "mod"},
   }
   }
   }
  }
