return SynthDefinition {
  id = "yamaha_dx7",
  name = "Yamaha DX7",
  sysex_message_template = {0xF0, 0x43, 0x10, 0x00, "nn", "vv", 0xF7},
  author = "Fluence [fluence@frankie-roberts.com]",
  content_height = 680,
  Section {
    name = "Operator 1,2,3",
    Group {
      name = "Operator 1 Frequency",    
  Parameter {
    id = "op1_out_lvl",
    name = "Output Level",
    number = 121,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op1_osc_mode",
    name = "Osc Mode",
    number = 122,
    items = {"Ratio","Fixed"},
       },
  Parameter {
    id = "op1_freq_coarse",
    name = "FQ Coarse",
    number = 123,
    max_value = 31,
    default_value = 1,
    },
  Parameter {
    id = "op1_freq_fine",
    name = "FQ Fine",
    number = 124,
    max_value = 99,
    },
  Parameter {
    id = "op1_detune",
    name = "Detune",
    number = 125,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
    name = "Operator 1 Envelope",
      Parameter {
        id = "op1_egrate1",
        name = "Rate 1",
        number = 105,
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op1_egrate2",
        name = "Rate 2",
        number = 106,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op1_egrate3",
        name = "Rate 3",
        number = 107,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op1_egrate4",
        name = "Rate 4",
        number = 108,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op1_eglvl1",
    name = "Level1",
    number = 109,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op1_eglvl2",
    name = "Level2",
    number = 110,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op1_eglvl3",
    name = "Level3",
    number = 111,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op1_eglvl4",
    name = "Level4",
    number = 112,
    max_value = 99,
    },
  },
  Group {
      name = "Operator 1 Scaling",
  Parameter {
    id = "op1_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 114,
    max_value = 99,
    },
  Parameter {
    id = "op1_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 116,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op1_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 113,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op1_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 117,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op1_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 115,
    max_value = 99,
    },
  },
  Group {
      name = "Sensitivity",
  Parameter {
    id = "op1_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 118,
    max_value = 7,
    },  
  Parameter {
    id = "op1_am_sens",
    name = "AM Sensitivity",
    number = 119,
    max_value = 3
      },
    Parameter {
    id = "op1_vel_sens",
    name = "Velocity Sensitivity",
    number = 120,
    max_value = 7
    },
    },
    Group {
      name = "Operator 2 Frequency",    
  Parameter {
    id = "op2_out_lvl",
    name = "Output Level",
    number = 100,
    max_value = 99,
    },
  Parameter {
    id = "op2_osc_mode",
    name = "Osc Mode",
    number = 101,
    items = {"Ratio","Fixed"},
       },
  Parameter {
    id = "op2_freq_coarse",
    name = "FQ Coarse",
    number = 102,
    max_value = 31,
    default_value = 1,
    },
  Parameter {
    id = "op2_freq_fine",
    name = "FQ Fine",
    number = 103,
    max_value = 99,
    },
  Parameter {
    id = "op2_detune",
    name = "Detune",
    number = 104,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
    name = "Operator 2 Envelope",
      Parameter {
        id = "op2_egrate1",
        name = "Rate 1",
        number = 84,
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op2_egrate2",
        name = "Rate 2",
        number = 85,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op2_egrate3",
        name = "Rate 3",
        number = 86,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op2_egrate4",
        name = "Rate 4",
        number = 87,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op2_eglvl1",
    name = "Level1",
    number = 88,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op2_eglvl2",
    name = "Level2",
    number = 89,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op2_eglvl3",
    name = "Level3",
    number = 90,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op2_eglvl4",
    name = "Level4",
    number = 91,
    max_value = 99,
    },
  },
  Group {
      name = "Operator 2 Scaling",
  Parameter {
    id = "op2_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 93,
    max_value = 99,
    },
  Parameter {
    id = "op2_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 95,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op2_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 92,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op2_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 96,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op2_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 94,
    max_value = 99,
    },
  },
  Group {
      name = "Sensitivity",
  Parameter {
    id = "op2_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 97,
    max_value = 7,
    },  
  Parameter {
    id = "op2_am_sens",
    name = "AM Sensitivity",
    number = 98,
    max_value = 3
      },
    Parameter {
    id = "op2_vel_sens",
    name = "Velocity Sensitivity",
    number = 99,
    max_value = 7
    },
    },
    Group {
      name = "Operator 3 Frequency",  
      Parameter {
    id = "op3_out_lvl",
    name = "Output Level",
    number = 79,
    max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op3_osc_mode",
    name = "Osc Mode",
    number = 80,
    items = {"Ratio","Fixed"},
       },
    Parameter {
    id = "op3_freq_coarse",
    name = "FQ Coarse",
    number = 81,
    max_value = 31,
    default_value = 1,
    },
    Parameter {
    id = "op3_freq_fine",
    name = "FQ Fine",
    number = 82,
    max_value = 99,
    },
    Parameter {
    id = "op3_detune",
    name = "Detune",
    number = 83,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
      name = "Operator 3 Envelope",
      Parameter {
        id = "op3_egrate1",
        name = "Rate 1",
        number = 63,
    gui_type = {"envelope"},
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op3_egrate2",
        name = "Rate 2",
        number = 64,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op3_egrate3",
        name = "Rate 3",
        number = 65,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op3_egrate4",
        name = "Rate 4",
        number = 66,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op3_eglvl1",
    name = "Level1",
    number = 67,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op3_eglvl2",
    name = "Level2",
    number = 68,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op3_eglvl3",
    name = "Level3",
    number = 69,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op3_eglvl4",
    name = "Level4",
    number = 70,
    max_value = 99,
    },
  },
    Group {
      name = "Operator 3 Scaling",
  Parameter {
    id = "op3_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 72,
    max_value = 99,
    },
  Parameter {
    id = "op3_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 74,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op3_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 71,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op3_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 75,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op3_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 73,
    max_value = 99,
    },
  },
  Group {
  name = "Sensitivity",
  Parameter {
    id = "op3_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 76,
    max_value = 7,
    },  
  Parameter {
    id = "op3_am_sens",
    name = "AM Sensitivity",
    number = 77,
    max_value = 3
      },
    Parameter {
    id = "op3_vel_sens",
    name = "Velocity Sensitivity",
    number = 78,
    max_value = 7
      },
    },
  },
  Section {
    name = "Operator 4,5,6",
    Group {
      name = "Operator 4 Frequency",    
  Parameter {
    id = "op4_out_lvl",
    name = "Output Level",
    number = 58,
    max_value = 99,
    default_value = 0,
    },
  Parameter {
    id = "op4_osc_mode",
    name = "Osc Mode",
    number = 59,
    items = {"Ratio","Fixed"},
       },
  Parameter {
    id = "op4_freq_coarse",
    name = "FQ Coarse",
    number = 60,
    max_value = 31,
    default_value = 1,
    },
  Parameter {
    id = "op4_freq_fine",
    name = "FQ Fine",
    number = 61,
    max_value = 99,
    },
  Parameter {
    id = "op4_detune",
    name = "Detune",
    number = 62,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
    name = "Operator 4 Envelope",
      Parameter {
        id = "op4_egrate1",
        name = "Rate 1",
        number = 42,
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op4_egrate2",
        name = "Rate 2",
        number = 43,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op4_egrate3",
        name = "Rate 3",
        number = 44,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op4_egrate4",
        name = "Rate 4",
        number = 45,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op4_eglvl1",
    name = "Level1",
    number = 46,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op4_eglvl2",
    name = "Level2",
    number = 47,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op4_eglvl3",
    name = "Level3",
    number = 48,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op4_eglvl4",
    name = "Level4",
    number = 49,
    max_value = 99,
    },
  },
  Group {
      name = "Operator 4 Scaling",
  Parameter {
    id = "op4_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 51,
    max_value = 99,
    },
  Parameter {
    id = "op4_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 53,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op4_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 50,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op4_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 52,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op4_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 54,
    max_value = 99,
    },
  },
  Group {
      name = "Sensitivity",
  Parameter {
    id = "op4_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 55,
    max_value = 7,
    },  
  Parameter {
    id = "op4_am_sens",
    name = "AM Sensitivity",
    number = 56,
    max_value = 3
      },
    Parameter {
    id = "op4_vel_sens",
    name = "Velocity Sensitivity",
    number = 57,
    max_value = 7
    },
    },
    Group {
      name = "Operator 5 Frequency",  
  Parameter {
    id = "op5_out_lvl",
    name = "Output Level",
    number = 37,
    max_value = 99,
    },
  Parameter {
    id = "op5_osc_mode",
    name = "Osc Mode",
    number = 38,
    items = {"Ratio","Fixed"},
       },
  Parameter {
    id = "op5_freq_coarse",
    name = "FQ Coarse",
    number = 39,
    max_value = 31,
    default_value = 1,
    },
  Parameter {
    id = "op5_freq_fine",
    name = "FQ Fine",
    number = 40,
    max_value = 99,
    },
  Parameter {
    id = "op5_detune",
    name = "Detune",
    number = 41,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
    name = "Operator 5 Envelope",
      Parameter {
        id = "op5_egrate1",
        name = "Rate 1",
        number = 21,
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op5_egrate2",
        name = "Rate 2",
        number = 22,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op5_egrate3",
        name = "Rate 3",
        number = 23,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op5_egrate4",
        name = "Rate 4",
        number = 24,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op5_eglvl1",
    name = "Level1",
    number = 25,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op5_eglvl2",
    name = "Level2",
    number = 26,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op5_eglvl3",
    name = "Level3",
    number = 27,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op5_eglvl4",
    name = "Level4",
    number = 28,
    max_value = 99,
    },
  },
  Group {
      name = "Operator 5 Scaling",
  Parameter {
    id = "op5_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 30,
    max_value = 99,
    },
  Parameter {
    id = "op5_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 32,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op5_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 29,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op5_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 33,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op5_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 31,
    max_value = 99,
    },
  },
  Group {
      name = "Sensitivity",
  Parameter {
    id = "op5_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 34,
    max_value = 7,
    },  
  Parameter {
    id = "op5_am_sens",
    name = "AM Sensitivity",
    number = 35,
    max_value = 3
      },
    Parameter {
    id = "op5_vel_sens",
    name = "Velocity Sensitivity",
    number = 36,
    max_value = 7
    },
    },
  Group {
      name = "Operator 6 Frequency",    
      Parameter {
    id = "op6_out_lvl",
    name = "Output Level",
    number = 16,
    max_value = 99,
    },
    Parameter {
    id = "op6_osc_mode",
    name = "Osc Mode",
    number = 17,
    items = {"Ratio","Fixed"},
       },
    Parameter {
    id = "op6_freq_coarse",
    name = "FQ Coarse",
    number = 18,
    max_value = 31,
    default_value = 1,
    },
    Parameter {
    id = "op6_freq_fine",
    name = "FQ Fine",
    number = 19,
    max_value = 99,
    },
    Parameter {
    id = "op6_detune",
    name = "Detune",
    number = 20,
    gui_type = "dropdown",
    items = {"-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7"},
    default_value = 8,
    },
  },
  Group {
      name = "Operator 6 Envelope",
      Parameter {
        id = "op6_egrate1",
        name = "Rate 1",
        number = 00,
        max_value = 99,
    default_value = 99,
      },
      Parameter {
        id = "op6_egrate2",
        name = "Rate 2",
        number = 01,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op6_egrate3",
        name = "Rate 3",
        number = 02,
        max_value = 99,
    default_value = 99,
      },
    Parameter {
        id = "op6_egrate4",
        name = "Rate 4",
        number = 03,
        max_value = 99,
    default_value = 99,
      },
  Parameter {
    id = "op6_eglvl1",
    name = "Level1",
    number = 04,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op6_eglvl2",
    name = "Level2",
    number = 05,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op6_eglvl3",
    name = "Level3",
    number = 06,
    max_value = 99,
    default_value = 99,
    },
  Parameter {
    id = "op6_eglvl4",
    name = "Level4",
    number = 07,
    max_value = 99,
    },
  },
    Group {
      name = "Operator 6 Scaling",
  Parameter {
    id = "op6_kb_lvl_scl_leftdepth",
    name = "Left Depth",
    number = 09,
    max_value = 99,
    },
  Parameter {
    id = "op6_kb_lvl_scl_leftcurve",
    name = "Left Curve",
    number = 11,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op6_kb_lvl_scl_brpoint",
    name = "Break Point",
    number = 08,
    gui_type = "dropdown",
    items = {"A-1","B-1","C-1","D-1","E-1","F-1","G-1","A-2","B-2","C-2","D-2","E-2","F-2","G-2","A-3","B-3","C-3","D-3","E-3","F-3","G-3","A-4","B-4","C-4","D-4","E-4","F-4","G-4","A-5","B-5","C-5","D-6","E-6","F-6","G-6","A-7","B-7","C-7","D-7","E-7","F-7","G-7","A-8","B-8","C-8"},
    default_value = 27,
    },
  Parameter {
    id = "op6_kb_lvl_scl_rightcurve",
    name = "Right Curve",
    number = 12,
    items = {"+exp","-exp","+lin","-lin"},
    },
  Parameter {
    id = "op6_kb_lvl_scl_rightdepth",
    name = "Right Depth",
    number = 10,
    max_value = 99,
    },
  },
  Group {
  name = "Sensitivity",
  Parameter {
    id = "op6_kb_rate_scl",
    name = "KB Rate Scaling",
    number = 13,
    max_value = 7,
    },  
  Parameter {
    id = "op6_am_sens",
    name = "AM Sensitivity",
    number = 14,
    max_value = 3
      },
    Parameter {
    id = "op6_vel_sens",
    name = "Velocity Sensitivity",
    number = 15,
    max_value = 7
      },
    },
  },
  Section {
    name = "LFO, Pitch & Patch",
  Group {
  name = "Patch",
  Parameter {
    id = "func_mono",
    name = "Poly/Mono",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x08, "nn", "vv", 0xF7},
    number = 64,
    items = {"Poly","Mono"},
    },
  Parameter {
        id = "algo",
        name = "Algorhitm",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
        number = 06,
    max_value = 31,
      },
  Parameter {
        id = "feedback",
        name = "Feedback",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
        number = 07,
    max_value = 7,
      },
  Parameter {
        id = "osckeysync",
        name = "Osc. Key Sync.",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
        number = 08,
    items = {"Off","On"}
      },
      Parameter {
        id = "Transpose",
        name = "Transpose",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
        number = 16,
        max_value = 48,
        default_value = 24
      },
   },
  Group {
  name = "Portamento",
  sysex_message_template = {0xF0, 0x43, 0x10, 0x08, "nn", "vv", 0xF7},
  Parameter {
    id = "func_porta_mode",
    name = "Portamento",
    number = 67,
    items = {"retain","follow"},
    },
  Parameter {
    id = "func_porta_time",
    name = "Portamento Time",
    number = 69,
    max_value = 99,
    },
  Parameter {
    id = "func_porta_gliss",
    name = "Glissando",
    number = 68,
    items = {"Off","On"},
    },
  },
  Group {
  name = "Performance",
  sysex_message_template = {0xF0, 0x43, 0x10, 0x08, "nn", "vv", 0xF7},
  Parameter {
    id = "modwhl_range",
    name = "Modwheel Range",
    number = 70,
    max_value = 99,
    },
  Parameter {
    id = "modwhl_assign",
    name = "Modwheel Assign",
    number = 71,
    items = {"OFF","P","A","P+A","EG","P+EG","A+EG","P+A+EG"},
    },
  Parameter {
    id = "afttouch_range",
    name = "Aftertouch Range",
    number = 75,
    max_value = 99,
    default_value = 50,
    },
  Parameter {
    id = "aftertouch_assign",
    name = "Aftertouch Assign",
    number = 76,
    items = {"OFF","P","A","P+A","EG","P+EG","A+EG","P+A+EG"},
    },
  Parameter {
    id = "footcont_range",
    name = "Foot. Range",
    number = 72,
    max_value = 99,
    },
  Parameter {
    id = "footcont_assign",
    name = "Foot. Assign",
    number = 73,
    items = {"OFF","P","A","P+A","EG","P+EG","A+EG","P+A+EG"},
    },
  Parameter {
    id = "brthcont_range",
    name = "Breath. Range",
    number = 74,
    max_value = 99,
    default_value = 50,
    },
  Parameter {
    id = "brthcont_assign",
    name = "Breath. Assign",
    number = 75,
    items = {"OFF","P","A","P+A","EG","P+EG","A+EG","P+A+EG"},
    },
    },
  Group {
    name = "LFO",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
    Parameter {
        id = "LFO_wave",
        name = "Waveform",
        number = 14,
    gui_type = "dropdown",
    items = {"Tri","Saw Down","Saw Up","Square","Sine","S/Hold"},
      },
    Parameter {
        id = "lfo_rate",
        name = "Rate",
        number = 9,
    max_value = 99,
        default_value = 35,
      },
    Parameter {
        id = "lfo_sync",
        name = "LFO Key Sync.",
        number = 13,
    items = {"Off","On"},
    default_value = 1,
      },
    Parameter {
        id = "lfo_Delay",
        name = "Delay",
        number = 10,
    max_value = 99,
      },
    Parameter {
        id = "lfo_pmod",
        name = "Pitch Mod.",
        number = 11,
    max_value = 99,
        default_value = 3,
    },
  Parameter {
        id = "pmod_sens",
        name = "Pitch Mod. Sens.",
        number = 15,
    max_value = 7,
      },
    Parameter {
        id = "lfo_amod",
        name = "Amp. Mod.",
        number = 12,
    max_value = 99,
      },
    },
  Group {
  name = "Pitchbend",
  sysex_message_template = {0xF0, 0x43, 0x10, 0x08, "nn", "vv", 0xF7},
  Parameter {
    id = "func_pb_range",
    name = "Pitch Bend Range",
    number = 65,
    max_value = 12,
    default_value = 2,
    },
  Parameter {
    id = "func_pb_step",
    name = "Pitch Bend Step",
    number = 66,
    max_value = 12,
    },
  },
  Group {
      name = "Pitch Envelope",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x01, "nn", "vv", 0xF7},
      Parameter {
        id = "pmod_rate1",
        name = "Rate 1",
        number = 126,
        default_value = 99,
    max_value = 99,
      },
      Parameter {
        id = "pmod_rate2",
        name = "Rate 2",
        number = 127,
        default_value = 99,
    max_value = 99,
      },
      Parameter {
        id = "pmod_rate3",
        name = "Rate 3",
        number = 00,
        default_value = 99,
    max_value = 99,
      },
      Parameter {
        id = "pmod_rate4",
        name = "Rate 4",
        number = 01,
        default_value = 99,
    max_value = 99,
      },
      Parameter {
        id = "pmod_lvl1",
        name = "Level 1",
        number = 02,
        default_value = 50,
    max_value = 99,
      },

      Parameter {
        id = "pmod_lvl2",
        name = "Level 2",
        number = 03,
        default_value = 50,
    max_value = 99,
      },
      Parameter {
        id = "pmod_lvl3",
        name = "Level 3",
        number = 04,
        default_value = 50,
    max_value = 99,
      },
      Parameter {
        id = "pmod_lvl4",
        name = "Level 4",
        number = 05,
        default_value = 50,
    max_value = 99,
      },
  },
  },
}  
